BASS Freeware for ScummVM Updated

DSC02684mark

The ScummVM team, in light of the recent ScummVM Emulator v0.8.0 release, have updated the freeware ?Beneath a Steel Sky? game which can be played on the PSP using the ScummVM Emulator. To install, place all the files in a directory named BASS on your PSP, and select the directory using the ScummVM emulator to play the game. In their words, here is what they had to say about the release: ?

In light of the 0.8.0 release, which requires the additional SKY.CPT file to run Beneath a Steel Sky, we’ve updated the archive of the freeware CD version to include this file, and while we were at it, updated the data files to the last-known released version of BASS, which should fix some text issues that appear when playing the game in non-english languages.?

You can get it with the SKY.CPT file in our PSP Download section [here].
You can discuss ScummVM in our active forums [here].

Currently, this program will only run on PSPs with firmware version 1.0 or 1.50. If you do not know which firmware version your PSP has, or if you need help installing this program on your PSP, check our Ultimate FAQ.
If you have a higher firmware version than 1.50 on your PSP, please check the information below:
? To downgrade the firmware from a version higher than 1.50, please visit [here].
? If you want to try to run it on a 2.0 PSP, please visit our forum for the latest 2.0 eboot loader [here].
DSC02684mark

The ScummVM team, in light of the recent ScummVM Emulator v0.8.0 release, have updated the freeware ?Beneath a Steel Sky? game which can be played on the PSP using the ScummVM Emulator. To install, place all the files in a directory named BASS on your PSP, and select the directory using the ScummVM emulator to play the game. In their words, here is what they had to say about the release: ?

In light of the 0.8.0 release, which requires the additional SKY.CPT file to run Beneath a Steel Sky, we’ve updated the archive of the freeware CD version to include this file, and while we were at it, updated the data files to the last-known released version of BASS, which should fix some text issues that appear when playing the game in non-english languages.?

You can get it with the SKY.CPT file in our PSP Download section [here].
You can discuss ScummVM in our active forums [here].

Currently, this program will only run on PSPs with firmware version 1.0 or 1.50. If you do not know which firmware version your PSP has, or if you need help installing this program on your PSP, check our Ultimate FAQ.
If you have a higher firmware version than 1.50 on your PSP, please check the information below:
? To downgrade the firmware from a version higher than 1.50, please visit [here].
? If you want to try to run it on a 2.0 PSP, please visit our forum for the latest 2.0 eboot loader [here].

Add a Comment

Your email address will not be published.